## fcitx-rime 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(fcitx-rime)

set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

include(FindPkgConfig)
find_package(Fcitx 4.2.0 REQUIRED)
find_package(Rime REQUIRED)

if(NOT DEFINED RIME_DATA_DIR)
  find_package(Brise REQUIRED)
  set(RIME_DATA_DIR ${BRISE_DIR})
endif(NOT DEFINED RIME_DATA_DIR)
message(STATUS "Precompiler macro RIME_DATA_DIR is set to \"${RIME_DATA_DIR}\"")
add_definitions(-DRIME_DATA_DIR="${RIME_DATA_DIR}")

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

add_subdirectory(src)

add_subdirectory(data)

=== data/CMakeLists.txt ===
install(FILES zhung.png RENAME rime.png DESTINATION ${FCITX4_PREFIX}/share/fcitx/skin/default)
install(FILES zhung.png RENAME rime.png DESTINATION ${FCITX4_PREFIX}/share/fcitx/skin/dark)
install(FILES zhung.png RENAME rime.png DESTINATION ${FCITX4_PREFIX}/share/fcitx/skin/classic)
install(FILES zhung.png RENAME fcitx-rime.png DESTINATION share/icons/hicolor/48x48/apps)

=== src/CMakeLists.txt ===

include_directories(${FCITX4_FCITX_INCLUDE_DIRS})
include_directories(${FCITX4_FCITX_CONFIG_INCLUDE_DIRS})
include_directories(${FCITX4_FCITX_UTILS_INCLUDE_DIRS})

include_directories(${Rime_INCLUDE_DIR})

set(FCITX_RIME_SRC fcitx-rime.c)
fcitx_add_addon(fcitx-rime ${FCITX_RIME_SRC})
target_link_libraries(fcitx-rime ${Rime_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

fcitx_add_addon_conf_file(fcitx-rime.conf)
fcitx_add_inputmethod_conf_file(rime.conf)

=== debian/changelog ===
fcitx-rime (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #683038)

 -- Aron Xu <aron@debian.org>  Wed, 03 Oct 2012 14:37:50 +0800

=== debian/control ===
Source: fcitx-rime
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 9), cmake, intltool, pkg-config,
 fcitx-libs-dev (>= 1:4.2.0), librime-dev (>= 0.9.2), librime-data
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-rime.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-rime.git

Package: fcitx-rime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-bin, 
  fcitx-data (>= 1:4.2.0), fcitx-modules, librime-data
Recommends: fcitx (>= 1:4.2.0)
Breaks: fcitx (<< 1:4.2.0)
Description: Fcitx wrapper for RIME engine 
 fcitx-rime is a wrapper of RIME engine for Fcitx.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects.

## fcitx-rime 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
 
 include(FindPkgConfig)
-find_package(Fcitx 4.2.0 REQUIRED)
+find_package(Fcitx 4.2.7 REQUIRED)
 find_package(Rime REQUIRED)
 
 if(NOT DEFINED RIME_DATA_DIR)
@@ -29,6 +29,6 @@
 add_custom_target(uninstall
     COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
 
+add_subdirectory(po)
 add_subdirectory(src)
-
 add_subdirectory(data)

=== data/CMakeLists.txt ===
install(FILES zhung.png RENAME rime.png DESTINATION ${FCITX4_PREFIX}/share/fcitx/imicon)
install(FILES zhung.png RENAME fcitx-rime.png DESTINATION share/icons/hicolor/48x48/apps)

=== po/CMakeLists.txt ===
set(PO_LANGS de zh_CN zh_TW ja)
foreach(lang ${PO_LANGS})
  fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-rime fcitx-rime.pot)

=== src/CMakeLists.txt ===

include_directories(${FCITX4_FCITX_INCLUDE_DIRS})
include_directories(${FCITX4_FCITX_CONFIG_INCLUDE_DIRS})
include_directories(${FCITX4_FCITX_UTILS_INCLUDE_DIRS})

include_directories(${Rime_INCLUDE_DIR})

set(FCITX_RIME_SRC fcitx-rime.c)

fcitx_add_addon_full(rime
  SOURCES ${FCITX_RIME_SRC}
  IM_CONFIG rime.conf
  LINK_LIBS ${Rime_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

=== debian/changelog ===
fcitx-rime (0.2.1-1) unstable; urgency=low

  * Imported Upstream version 0.2.1
  * Bump git/git web URL to canonical.
  * Fix debian/copyright: add Files: *
  * Bump to standard version 3.9.4

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 16 Oct 2013 17:59:18 +0800

=== debian/control ===
Source: fcitx-rime
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 9), cmake, fcitx-bin, pkg-config,
 fcitx-libs-dev (>= 1:4.2.7), librime-dev (>= 0.9.2), librime-data
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-rime.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-rime.git

Package: fcitx-rime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-bin, 
  fcitx-data (>= 1:4.2.7), fcitx-modules, librime-data
Recommends: fcitx (>= 1:4.2.7)
Breaks: fcitx (<< 1:4.2.0)
Description: Fcitx wrapper for RIME engine 
 fcitx-rime is a wrapper of RIME engine for Fcitx.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects.

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-rime-*\.*(.*)\.tar\.xz

## fcitx-rime 0.3.1

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(PO_LANGS de zh_CN zh_TW ja)
+set(PO_LANGS de zh_CN zh_TW ja vi)
 foreach(lang ${PO_LANGS})
   fcitx_translate_add_po_file("${lang}" "${lang}.po")
 endforeach()

=== debian/changelog ===
fcitx-rime (0.3.1-1build1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 10:54:09 +0000

fcitx-rime (0.3.1-1) unstable; urgency=medium

  * New upstream release: 0.3.1.
  * Added myself to uploaders.
  * Build-dep on librime-dev >= 1.0 (reverted the renaming).
  * Bumped standard version to 3.9.5, no changes needed.
  * Build-dep on fcitx-libs-dev updated to >= 1:4.2.8.1.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sun, 29 Jun 2014 13:34:33 -0400

=== debian/control ===
Source: fcitx-rime
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           YunQiang Su <wzssyqa@gmail.com>,
           Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
Build-Depends: debhelper (>= 9), cmake, fcitx-bin, pkg-config,
 fcitx-libs-dev (>= 1:4.2.8.1), librime-dev (>= 1.0), librime-data
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-rime.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-rime.git

Package: fcitx-rime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-bin, 
  fcitx-data (>= 1:4.2.8.1), fcitx-modules, librime-data
Recommends: fcitx (>= 1:4.2.8.1)
Breaks: fcitx (<< 1:4.2.0)
Description: Fcitx wrapper for RIME engine 
 fcitx-rime is a wrapper of RIME engine for Fcitx.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects.

=== debian/watch ===
version=3
http://download.fcitx-im.org/fcitx-rime fcitx-rime-([\d\.]+)\.tar\.xz

## fcitx-rime 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
 
 include(FindPkgConfig)
-find_package(Fcitx 4.2.7 REQUIRED)
-find_package(Rime REQUIRED)
+find_package(Fcitx 4.2.8.1 REQUIRED)
+pkg_check_modules(RIME "rime>=1.0.0" REQUIRED)
 
 if(NOT DEFINED RIME_DATA_DIR)
   find_package(Brise REQUIRED)

=== data/CMakeLists.txt ===
# for im icon
install(FILES rime.png RENAME rime.png DESTINATION ${FCITX4_PREFIX}/share/fcitx/imicon)

# for skin
install(DIRECTORY default DESTINATION ${FCITX4_PREFIX}/share/fcitx/skin)

# with prefix
foreach(svg rime rime-deploy rime-sync)
install(FILES ${svg}.png RENAME fcitx-${svg}.png DESTINATION share/icons/hicolor/48x48/apps)
install(FILES ${svg}.svg RENAME fcitx-${svg}.svg DESTINATION share/icons/hicolor/scalable/status)
endforeach()

# without prefix
foreach(svg rime-im rime-latin rime-disable)
install(FILES ${svg}.png DESTINATION share/icons/hicolor/48x48/apps)
install(FILES ${svg}.svg DESTINATION share/icons/hicolor/scalable/status)
endforeach()

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-rime fcitx-rime.pot)

=== src/CMakeLists.txt ===

include_directories(${FCITX4_FCITX_INCLUDE_DIRS})
include_directories(${FCITX4_FCITX_CONFIG_INCLUDE_DIRS})
include_directories(${FCITX4_FCITX_UTILS_INCLUDE_DIRS})
include_directories(${RIME_INCLUDE_DIRS})
link_directories(${RIME_LIBRARY_DIRS})

set(FCITX_RIME_SRC fcitx-rime.c)

fcitx_add_addon_full(rime
  SOURCES ${FCITX_RIME_SRC}
  IM_CONFIG rime.conf
  LINK_LIBS ${RIME_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

=== debian/changelog ===
fcitx-rime (0.3.2-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:13:50 +0100

fcitx-rime (0.3.2-6) unstable; urgency=medium

  * Team upload.
  * Rebuild for librime 1.5.3.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Update homepage to use GitHub project.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Dec 2019 23:36:54 -0500

fcitx-rime (0.3.2-5) unstable; urgency=medium

  * Team upload.
  * Rebuild for Debian Buster and librime 1.4.0.
  * debian/control:
    + Bump Standards-Version to 4.3.0.
    + Bump debhelper compat to v12.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Feb 2019 18:15:19 -0500

fcitx-rime (0.3.2-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against gcc 8.
  * debian/control:
    + Bump Standards-Version to 4.2.1 (no changes needed).
    + Update Vcs fields and use repo under input-method-team.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Sep 2018 21:32:48 -0400

fcitx-rime (0.3.2-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.3.1.
  * Apply "wrap-and-sort -abst".
  * debian/patches:
    + Backport all upstream commits till 2018-05-31.
  * debian/control:
    + Update maintainer field and use debian-input-method mailing list.
      Closes: #899504.
    + Bump Standards-Version to 4.1.5 (no changes needed).
    + Update YunQiang Su's email address and use the @debian.org one.
    + Update homepage field to use the corresponding GitLab project.
    + Add new build-dependency qtbase5-dev.
  * debian/rules:
    + Enable full hardening.
    + Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Thu, 05 Jul 2018 10:47:27 +0800

fcitx-rime (0.3.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.2.9.
  * Backport upstream patch to remove unused parameter.
  * Bump debhelper compat to v11.
  * Bump Standards-Version to 4.1.3. (No changes needed)
  * Use Salsa platform for Vcs URL.
  * Mark fcitx-rime package as M-A: same.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 16 Mar 2018 13:48:57 +0800

fcitx-rime (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh packaging instructions.
    + Enable full hardening.
    + Apply "wrap-and-sort -abst".
    + Bump debhelper compat to v10.
    + Bump Standards-Version to 4.1.0.
    + Use canonical Vcs URL.
    + Use GitHub as homepage.
  * Refresh d/copyright information.
  * Point d/watch to download.fcitx-im.org.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 28 Sep 2017 17:06:58 +0800

=== debian/control ===
Source: fcitx-rime
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
 Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 fcitx-bin,
 fcitx-libs-dev (>= 1:4.2.8.1),
 libfcitx-qt5-dev (>= 1.2.2),
 librime-data,
 librime-dev (>= 1.2.10~),
 pkg-config,
 qtbase5-dev,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://github.com/fcitx/fcitx-rime
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-rime.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-rime

Package: fcitx-rime
Architecture: any
Multi-Arch: same
Depends:
 fcitx-bin,
 fcitx-data (>= 1:4.2.8.1),
 fcitx-modules,
 librime-data,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx (>= 1:4.2.8.1),
Breaks:
 fcitx (<< 1:4.2.0),
Description: Fcitx wrapper for RIME engine
 fcitx-rime is a wrapper of RIME engine for Fcitx.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT := 5

%:
	dh $@

override_dh_makeshlibs:

override_dh_missing:
	dh_missing --fail-missing

## fcitx-rime 0.3.2+git20221207

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,7 @@
 pkg_check_modules(RIME "rime>=1.0.0" REQUIRED)
 
 if(NOT DEFINED RIME_DATA_DIR)
-  find_package(Brise REQUIRED)
-  set(RIME_DATA_DIR ${BRISE_DIR})
+  find_package(RimeData REQUIRED)
 endif(NOT DEFINED RIME_DATA_DIR)
 message(STATUS "Precompiler macro RIME_DATA_DIR is set to \"${RIME_DATA_DIR}\"")
 add_definitions(-DRIME_DATA_DIR="${RIME_DATA_DIR}")
@@ -29,6 +28,12 @@
 add_custom_target(uninstall
     COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
 
+option(ENABLE_QT5GUI "Build the Rime Config GUI Tool" ON)
+
 add_subdirectory(po)
 add_subdirectory(src)
 add_subdirectory(data)
+if(ENABLE_QT5GUI)
+    add_subdirectory(gui)
+endif(ENABLE_QT5GUI)
+

=== debian/changelog ===
fcitx-rime (0.3.2+git20221207-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Rebuild against librime 1.8.5.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Feb 2023 19:36:38 -0500

fcitx-rime (0.3.2-11) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.8.3.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Jan 2023 12:31:34 -0500

fcitx-rime (0.3.2-10) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.7.3.
  * debian/control: Require build-dependency librime-dev (>= 1.7.3~).
  * Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Oct 2021 11:29:25 -0400

fcitx-rime (0.3.2-9) unstable; urgency=medium

  * Team upload.
  * Rebuild for Debian 11.
  * Force rebuild against librime 1.6.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Jan 2021 11:42:23 -0500

fcitx-rime (0.3.2-8) unstable; urgency=medium

  * Team upload.
  * Force rebuild against libopencc2 1.1.1.
  * debian/rules: Drop useless override for dh_missing.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jul 2020 20:30:22 -0400

fcitx-rime (0.3.2-7) unstable; urgency=medium

  * Team upload.
  * Cherry-pick upstream trunk code till 2020-03-08.
  * Rebuild against libopencc2 1.0.6.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.0.
  * debian/rules:
    - Drop unnecessary dh_auto_configure override.
    - Drop unnecessary as-needed linker flag.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 May 2020 17:58:24 -0400

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
  Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  fcitx-bin,
  fcitx-libs-dev (>= 1:4.2.8.1),
  libfcitx-qt5-dev (>= 1.2.2),
  librime-data,
- librime-dev (>= 1.2.10~),
+ librime-dev (>= 1.8.5~),
  pkg-config,
  qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx-rime
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-rime.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-rime

## fcitx-rime 0.3.2+git20230425

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -15,3 +15,7 @@
 install(FILES ${svg}.png DESTINATION share/icons/hicolor/48x48/apps)
 install(FILES ${svg}.svg DESTINATION share/icons/hicolor/scalable/status)
 endforeach()
+
+# install the config tool icon
+install(FILES rime128.png RENAME fcitx-rime.png DESTINATION share/icons/hicolor/128x128/apps)
+

=== gui/CMakeLists.txt ===
set(REQUIRED_QT_VERSION 5.1.0)

find_package(FcitxQt5WidgetsAddons 1.1.0 REQUIRED)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets Concurrent)
find_package(Rime REQUIRED)
pkg_check_modules(Rime "rime>=1.0.0" REQUIRED IMPORTED_TARGET)

add_subdirectory(src)

=== gui/src/CMakeLists.txt ===
set(FRCU_SRCS
  Main.cpp
  ConfigMain.cpp
  Model.cpp
  RimeConfigParser.cpp
  ErrorOverlay.cpp)
set(FRCU_HDRS
  Main.h
  ConfigMain.h
  Model.h
  Common.h
  RimeConfigParser.h
  ErrorOverlay.h)

set(FRCU_UIS
  ConfigMain.ui)

fcitx_translate_add_sources(
  ${FRCU_SRCS}
  ${FRCU_HDRS}
  ${FRCU_UIS})

add_library(fcitx-rime-config-gui
  MODULE ${FRCU_SRCS})

set(AUTOGEN_BUILD_DIR "${CMAKE_BINARY_DIR}/gui/src/fcitx-rime-config-gui_autogen/include")
file(COPY "${CMAKE_SOURCE_DIR}/gui/src/Common.h" DESTINATION "${AUTOGEN_BUILD_DIR}")

set_target_properties(fcitx-rime-config-gui PROPERTIES
  LINK_FLAGS "-Wl,--no-undefined"
  AUTOMOC TRUE
  AUTOUIC TRUE
  AUTOUIC_OPTIONS "-tr=fcitx_rime::tr2fcitx;--include=Common.h")

target_link_libraries(fcitx-rime-config-gui
  Qt5::Widgets
  Qt5::Concurrent
  FcitxQt5::WidgetsAddons
  PkgConfig::Rime
  ${FCITX4_FCITX_UTILS_LIBRARIES}
  ${FCITX4_FCITX_CONFIG_LIBRARIES})


install(TARGETS fcitx-rime-config-gui DESTINATION ${FCITX4_ADDON_INSTALL_DIR}/qt)

=== debian/changelog ===
fcitx-rime (0.3.2+git20230425-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112900)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 21:59:40 +0300

fcitx-rime (0.3.2+git20230425-7) unstable; urgency=high

  * Team upload.
  * debian/patches/fix-rime-process-key.patch: Fix incompatibility
    with recent librime versions. (Closes: #1106211) 

 -- Boyuan Yang <byang@debian.org>  Wed, 21 May 2025 13:16:57 -0400

fcitx-rime (0.3.2+git20230425-6) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.13.1.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 12:15:48 -0500

fcitx-rime (0.3.2+git20230425-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.13.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 14:50:24 -0500

fcitx-rime (0.3.2+git20230425-4) unstable; urgency=medium

  * Team upload.
  * Fix compatibility with librime 1.12.0. (Closes: #1089191)
  * No longer build Qt5-based GUI component due to compatibility
    issues with the new librime.

 -- Boyuan Yang <byang@debian.org>  Mon, 09 Dec 2024 13:24:03 -0500

fcitx-rime (0.3.2+git20230425-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.11.2.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Jul 2024 20:25:12 -0400

fcitx-rime (0.3.2+git20230425-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.10.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Feb 2024 19:27:05 -0500

fcitx-rime (0.3.2+git20230425-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Rebuild against librime 1.9.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Sep 2023 17:42:43 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_makeshlibs:

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_QT5GUI=OFF

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-rime/ \
 fcitx-rime-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
